<div id="Cultivation_Id" style="display:none" class="LovDialog NrlDialog" data-ng-controller="ControllerLovCultivation">
    <div class="NpTable">
        <div class="GridSearchArea" data-ng-show="model.showSearchParams">
            <h4>{{getALString("Search Criteria")}}</h4>
            <table>
                <tr>
                    <td colspan="1" style="width:16%" >
                        <label class="pull-left" for="LovCultivation_fsch_CultivationLov_name"  data-ng-bind="getALString('Name')"   />
                    </td>
                    <td colspan="1" style="width:16%" >
                        <label class="pull-left" for="LovCultivation_fsch_CultivationLov_code"  data-ng-bind="getALString('Code')"   />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
                <tr>
                    <td colspan="1" style="width:16%" >
                        <input name='LovCultivation_fsch_CultivationLov_name' data-ng-model='modelLovCultivation.fsch_CultivationLov_name' data-np-ui-model='modelLovCultivation._fsch_CultivationLov_name' data-ng-readonly='LovCultivation_fsch_CultivationLov_name_disabled()' data-np-text='dummy' />
                    </td>
                    <td colspan="1" style="width:16%" >
                        <input name='LovCultivation_fsch_CultivationLov_code' data-ng-model='modelLovCultivation.fsch_CultivationLov_code' data-np-ui-model='modelLovCultivation._fsch_CultivationLov_code' data-ng-readonly='LovCultivation_fsch_CultivationLov_code_disabled()' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='.' class='ngCellNumber' />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
            </table>
            <div class="GridSearchAreaFooter">
                <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                <button data-np-click="selectActiveSetEntities()" data-ng-show="isMultiSelect()">(+)</button>
                <button data-np-click="unUselectActiveSetEntities()" data-ng-show="isMultiSelect()">(-)</button>

            </div>
        </div>
        <div data-on-key-down="closeDialog()" data-keys="[123,13]"><!-- The dialog must close with F12 and ENTER -->
            <div data-on-key-down="gridPageUp()" data-keys="[33]">
                <div data-on-key-down="gridPageDown()" data-keys="[34]">
                    <div
                         tabIndex="0" 
                            id="lovGridId" 
                            data-ng-grid="modelLovCultivation.grid" 
                            class="gridStyle">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="LovButtonsArea">
        <button data-np-click="closeDialog()"><i class="icon select"/>{{getALString("LovButtons_Select")}}</button>
        <button data-np-click="modelLovCultivation.selectedEntities = [null] ; closeDialog()"><i class="icon clear"/>{{getALString("LovButtons_Clear")}}</button>
        <button data-ng-show="modelLovCultivation.dialogOptions.hasNewButton" data-np-click="openNewEntityDialog()"><i class="icon new"/>{{getALString("LovButtons_New")}}</button>
    </div>
</div>
